
%define name	liblo
%define version	0.28
%define release	3

%define _prefix	/usr

Summary:	Lightweight OSC Implementation
Name: liblo
Version: 0.28
Release: 3.rncbc.suse131
License:	GPL-2.0+
Source0:	%{name}-%{version}.tar.gz
URL:		http://plugin.org.uk/liblo/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Packager:	rncbc.org

%description
This is a lightweight, easy-to-use implementation of the OSC protocol
(see http://www.cnmat.berkeley.edu/OpenSoundControl/ for details).

Authors:
--------
    Steve Harris <steve@plugin.org.uk>

%package devel
License:        GPL-2.0+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

Authors:
--------
    Steve Harris <steve@plugin.org.uk>

%prep
%setup -q

%build
#autoreconf -fiv
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR="$RPM_BUILD_ROOT" install
# remove example binaries
make -C examples distclean
rm -f examples/Makefile examples/Makefile.in
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/html
%doc examples
%{_bindir}/oscdump
%{_bindir}/oscsend
%{_libdir}/lib*.so
%{_includedir}/lo
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Feb 10 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.28-3
- New upstream release (liblo-0.28).
* Thu May 23 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.27-2
- New upstream release (liblo-0.27).
* Thu Apr 11 2013 Rui Nuno Capela <rncbc@rncbc.org> - 0.26-1
- Initial spec build.
